# Modified from file generated by kdevelop's qmake manager. 
# Copyright by Walter Roth 2005, 2006 
# ------------------------------------------- 
# There is no configure utility available with qmake. Therefore
# you have to specify the installation prefix in the "make install" command.
# For an installation prefix /usr run: make PREFIX=/usr install
# If you need an RPM_BUILD_ROOT too, run: make INSTALL_ROOT=RPM_BUILD_ROOT PREFIX=/usr install 
#
# Target is an application:  ../bin/moneypenny

TEMPLATE = app

#Standard target without version info
TARGET = bin/moneypenny

DISTFILES += help/*.html \
             translations/*.qm \
             internet/kppprc \
             internet/isdn \
             internet/ipppd.ippp0 \
             internet/ipppd.ippp0+1 \
             internet/device.ippp0 \
             internet/device.ippp0+1 \
             data/bankdata.txt \
             data/hbcibankdata.hbd \
             data/printerdata.xml \
             data/driverdetails.xslt \
             data/testpage.png \
             data/testpage.ps \
             AUTHORS \
             README \
             INSTALL \
             moneypenny.kdevelop \
             configure \ 
             INSTALLATION \
             COPYING \
             LIESMICH \
             make_knoppix \
             make_release \
             make_install \
             make_cd \
             make_debug \
             moneypenny.spec

#set the prefix variable used for relocation 
prefix = $(PREFIX)

#Now set all the paths
target.path = $${prefix}/bin 

internetfiles.path = $${prefix}/share/moneypenny/internet
internetfiles.files = \
                      internet/kppprc \
                      internet/isdn \
                      internet/ipppd.ippp0 \
                      internet/ipppd.ippp0+1 \
                      internet/device.ippp0 \
                      internet/device.ippp0+1 \

helpfiles.path = $${prefix}/share/moneypenny/help
helpfiles.files = help/*.html                          

translationfiles.path = $${prefix}/share/moneypenny/translations            
translationfiles.files = translations/*.qm

datafiles.path = $${prefix}/share/moneypenny/data
datafiles.files = data/bankdata.txt \
                  data/hbcibankdata.hbd \
                  data/printerdata.xml \
                  data/driverdetails.xslt \
                  data/testpage.png \
                  data/testpage.ps \
                  
INSTALLS  = target \
            helpfiles \
            internetfiles \
            translationfiles \
            datafiles \

FORMS += src/guiaccepttransactionbase.ui \
         src/guibalancesbase.ui \
         src/guicreateuserbase.ui \
         src/guidatedtransfersbase.ui \
         src/guigettransactionsbase.ui \
         src/guihbciversionbase.ui \
         src/guiiniletterbase.ui \
         src/guimainbase.ui \
         src/guistandingordersbase.ui \
         src/guitransactionsbase.ui \
         src/dlgenterpinbase.ui \
         src/dlgenterpinkeypadbase.ui \
         src/guiwelcomebase.ui \
         src/dlgtcpcheckbase.ui \
         src/guitransactionprinterbase.ui \
         src/guihelpwindowbase.ui \
         src/guiknownbanksbase.ui \
         src/guiloginbase.ui \
         src/guiaccountinformationbase.ui \
         src/guihbciwizardbase.ui \
         src/guiloginpasswordbase.ui \
         src/guichangeaccountnamebase.ui \
         src/guijobsbase.ui \
         src/guiaddaccountbase.ui \
         src/guihardwareconfigbase.ui \
         src/guisplash.ui \
         src/guilogbase.ui \
         src/guitransfertemplatesbase.ui \
         src/guifindmediumbase.ui \
         src/guiprinterconfigbase.ui \
         src/guitransferformbase.ui \
         src/guiburnbase.ui \
         src/guitransactioninfobase.ui \
         src/guitoolsbase.ui \
         src/guidataexportbase.ui \
         src/guisqlquerybase.ui \
         src/guisqlqueryresultbase.ui \
         src/guidialinbase.ui \
         src/guishowdatabase.ui \
         src/guiprintermanualsetupbase.ui \
         src/guiprinterautosetupbase.ui \
         src/guiprinterdrivertoxmlbase.ui \
         src/dlgconfirmtransactionbase.ui\
         
	 
TRANSLATIONS += \
         src/moneypenny_de.ts \
         src/moneypenny_ru.ts \
         src/moneypenny_pl.ts \
         src/moneypenny_tr.ts \

	 
HEADERS += \
         src/accountjobfactory.h \
         src/adminjobfactory.h \
         src/datedtransfer.h \
         src/dlgenterpin.h \
         src/dlgenterpinkeypad.h \
         src/guibalances.h \
         src/guicreateuser.h \
         src/guidatedsingletransfer.h \
         src/guidatedtransfers.h \
         src/guigettransactions.h \
         src/guihbciversion.h \
         src/guiiniletter.h \
         src/guimain.h \
         src/guisingletransfer.h \
         src/guistandingorders.h \
         src/guistartstandingorder.h \
         src/guitransactions.h \
         src/hobit_bpd.h \
         src/hobit_creator.h \
         src/hobit.h \
         src/hobit_interactor.h \
         src/hobit_auth.h \
         src/hobit_string.h \
         src/hobit_validator.h \
         src/listviewitems.h \
         src/standingorder.h \
         src/structs.h \
         src/transaction.h \
         src/guiwelcome.h \
         src/hobit_connector.h \
         src/dlgtcpcheck.h \
         src/guitransactionprinter.h \
         src/guihelpwindow.h \
         src/guiknownbanks.h \
         src/hobit_crypt.h \
         src/guilogin.h \
         src/guiaccountinformation.h \
         src/guihbciwizard.h \
         src/guiloginpassword.h \
         src/guichangeaccountname.h \
         src/guijobs.h \
         src/guiaddaccount.h \
         src/guihardwareconfig.h \
         src/globals.h \
         src/hobit_bank.h \
         src/guilog.h \
         src/databaseaccess.h \
         src/guitransfertemplates.h \
         src/hobit_transfertemplate.h \
         src/guifindmedium.h \
         src/guiprinterconfig.h \
         src/guiburn.h \
         src/guitransactioninfo.h \
         src/cryptdata.h \
         src/crypt.h \
         src/crypttripledes.h \
         src/guitools.h \
         src/keyfilerdh2.h \
         src/hobit_tlv.h \
         src/keyfile.h \
         src/keyfileopenhbci.h \
         src/guitransferform.h \
         src/guidataexport.h \
         src/keyrsa.h \
         src/uchararray.h \
         src/guisqlquery.h \
         src/guisqlqueryresult.h \
         src/guiinteractor.h \
	     src/hobit_sql.h \
         src/guidialin.h \
         src/guishowdata.h \
         src/guiprintermanualsetup.h \
         src/guiprinterautosetup.h \
         src/globalsprintersetup.h \
         src/printersetupdb.h \ 
         src/guiprinterdrivertoxml.h \
         src/dlgconfirmtransaction.h\
         src/transactionitem.h\

	 
SOURCES += \
         src/accountjobfactory.cpp \
         src/adminjobfactory.cpp \
         src/databaseaccess.cpp \
         src/datedtransfer.cpp \
         src/dlgenterpin.cpp \
         src/dlgenterpinkeypad.cpp \
         src/guibalances.cpp \
         src/guicreateuser.cpp \
         src/guidatedsingletransfer.cpp \
         src/guidatedtransfers.cpp \
         src/guigettransactions.cpp \
         src/guihbciversion.cpp \
         src/guiiniletter.cpp \
         src/guimain.cpp \
         src/guisingletransfer.cpp \
         src/guistandingorders.cpp \
         src/guistartstandingorder.cpp \
         src/guitransactions.cpp \
         src/hobit_bpd.cpp \
         src/hobit.cpp \
         src/hobit_creator.cpp \
         src/hobit_interactor.cpp \
         src/hobit_auth.cpp \
         src/hobit_string.cpp \
         src/hobit_validator.cpp \
         src/listviewitems.cpp \
         src/main.cpp \
         src/standingorder.cpp \
         src/transaction.cpp \
         src/guiwelcome.cpp \
         src/hobit_connector.cpp \
         src/dlgtcpcheck.cpp \
         src/guitransactionprinter.cpp \
         src/guihelpwindow.cpp \
         src/guiknownbanks.cpp \
         src/hobit_crypt.cpp \
         src/guilogin.cpp \
         src/guiaccountinformation.cpp \
         src/guihbciwizard.cpp \
         src/guiloginpassword.cpp \
         src/guichangeaccountname.cpp \
         src/guijobs.cpp \
         src/guiaddaccount.cpp \
         src/guihardwareconfig.cpp \
         src/hobit_bank.cpp \
         src/guilog.cpp \
         src/guitransfertemplates.cpp \
         src/hobit_transfertemplate.cpp \
         src/guifindmedium.cpp \
         src/guiprinterconfig.cpp \
         src/globals.cpp \
         src/guiburn.cpp \
         src/guitransactioninfo.cpp \
         src/cryptdata.cpp \
         src/crypt.cpp \
         src/crypttripledes.cpp \
         src/guitools.cpp \
         src/keyfilerdh2.cpp \
         src/hobit_tlv.cpp \
         src/keyfile.cpp \
         src/keyfileopenhbci.cpp \
         src/guitransferform.cpp \
         src/guidataexport.cpp \
         src/keyrsa.cpp \
         src/uchararray.cpp \
         src/guisqlquery.cpp \
         src/guisqlqueryresult.cpp \
         src/guiinteractor.cpp \
	     src/hobit_sql.cpp \
         src/guidialin.cpp \
         src/guishowdata.cpp \
         src/guiprintermanualsetup.cpp \
         src/guiprinterautosetup.cpp \
         src/globalsprintersetup.cpp \
         src/printersetupdb.cpp \ 
         src/guiprinterdrivertoxml.cpp \
         src/dlgconfirmtransaction.cpp\
         src/transactionitem.cpp\
	 
LIBS += -lopenhbci2 \
        -laqmoney \
	
# Keep the src directory clean, put the generated stuff elsewhere
MOC_DIR     = build/mocs
UI_DIR      = build/uis
OBJECTS_DIR = build/os

#Use code optimization and no debugging for the release version
#No unused parameter warnings, as there are lots of overridden virtual functions
#with unused parameters in the code.
QMAKE_CXXFLAGS_RELEASE += -O3 \
                          -g0 \
                          -Wno-unused-parameter
			  
#No optimization and full debugging for the debug version
QMAKE_CXXFLAGS_DEBUG += -O0 \
                        -g3 \
                        -Wno-unused-parameter

#The default config is release
CONFIG += release \
          warn_on \
          qt \
          stl
          
debug{
  QMAKE_CFLAGS_DEBUG += -O0 -g3
  QMAKE_CXXFLAGS_DEBUG += -O0 -g3
  DEFINES += DEBUG_HARDWARE_ON
}

debug_udrw{
  QMAKE_CFLAGS_DEBUG += -O0 -g3
  QMAKE_CXXFLAGS_DEBUG += -O0 -g3
  DEFINES += DEBUG_HARDWARE_ON
  DEFINES+= LIVE_UDRW
}


#For compiling a live CD, define LIVE_CD
live_cd{
  DEFINES+= LIVE_CD
}

#For compiling a udrw stick version define LIVE_UDRW
live_udrw{
  DEFINES+= LIVE_CD
  DEFINES+= LIVE_UDRW
}

#This compiles a Mac OS X version
mac_osx{
  DEFINES+= OSX
}