/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "dlgconfirmtransaction.h"
#include "qtextedit.h" 
 
DlgConfirmTransaction:: DlgConfirmTransaction ( QWidget * parent, QString text, const char *name)
      :DlgConfirmTransactionBase(parent, name){
 _UserCommand = Reject;   
 textEditTransaction->setText( text );   
}

DlgConfirmTransaction::~DlgConfirmTransaction(){
}
 
void DlgConfirmTransaction::on_buttonSendNow_clicked(){
   _UserCommand = SendNow;
   accept();
} 

void DlgConfirmTransaction::on_buttonSendLater_clicked(){
    _UserCommand = SendLater;
    accept();
} 

void DlgConfirmTransaction::on_buttonSendAndGet_clicked(){
    _UserCommand = SendNowAndGetTransactions;
    accept();
} 

/** The command given by the user. May be
*  NoCommand, SendLater, SendNow, SendNowAndGetTransactions
*/
int DlgConfirmTransaction::getUserCommand(){
  return _UserCommand;
}  
