/***************************************************************************
                          guisingletransfer.cpp  -  description
                             -------------------
    begin                : Mo Nov 8 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "globals.h"
#include "guisingletransfer.h"
#include <qdatetimeedit.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include "hobit_string.h"

/**
*constructor of GuiSingleTransfer
*
*@param main a pointer on moneypenny´s main class
*@param parent a pointer on the main widgets widget stack
*@param name widgets title
*@param hobit the hobit object, needed for hbci functions
*/
GuiSingleTransfer::GuiSingleTransfer(QWidget *parent, const char *name, HoBIT* hobit )
:GuiTransferForm(parent, name, hobit) {
   //hide unused Input-Fields:
   textLabelFirst->hide();
   dateEditFirst->hide();
   textLabelLast->hide();
   dateEditLast->hide();
   textLabelTurnus->hide();
   comboBoxTurnus->hide();
   textLabelDay->hide();
   spinBoxDay->hide();
   _FormType =   SINGLE_TRANSFER_WIDGET; 	
}

/**
*destructor of GuiSingleTransfer
*/
GuiSingleTransfer::~GuiSingleTransfer(){
	qDebug("Destructor GuiSingleTransfer finished");
}


/** Creates the job and returns true on success.
  */
 bool GuiSingleTransfer::createJob(){
  list <string> otherName;
  otherName.push_back(_OtherName);
  list<string> purpose;
  HoBIT_String::copyQStringList(&_PurposeList, & purpose);
     int err = _hobit->createJobSingleTransfer(  SKIP_FALSE_TRANSACTIONS,      // skipbad
                                              MONEYPENNY_DEFAULT_COUNTRY,                          // country
                                              "*",                            // bankcode
                                              _OurAccount.ascii(),      // accountid
                                              "",                            // accountSubId
                                              MONEYPENNY_DEFAULT_COUNTRY,                          // other country
                                              _OtherBankCode.ascii(),       // other bankcode
                                              _OtherAccountId.ascii(),        // other account
                                              otherName,                    // other name
                                              purpose,                    // purpose
                                              _Value,                           // value
                                              51,                            // textkey
                                              Date());          // use today as date
    
   
   if(err != HobitErrorSuccess){
     QMessageBox::critical(this, tr("Error"), tr("Creating the job failed."));
     qDebug("GuiSingleTransfer::accept: Error creating JobSingleTransfer. Error Code: %i", err);
     return false;  
   }
   else return true; 
 }   

