/***************************************************************************
                          guistandingorders.h  -  description
                             -------------------
    begin                : Do Nov 11 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUISTANDINGORDERS_H
#define GUISTANDINGORDERS_H
#include <qwidget.h>
#include <guistandingordersbase.h>
#include "hobit.h"
#include "guimain.h"
#include <qwidgetstack.h>
#include "standingorder.h"
#include "listviewitems.h"
#include <list>
using namespace std;



class GuiMain;


/**
*class fo a listdialog, which shows all standingOrders
*/
class GuiStandingOrders : public GuiStandingOrdersBase
{
  Q_OBJECT
public:

  /**
  *constructor of GuiStandingOrder
  *
  *@param main a pointer on moneypenny´s main class
  *@param parent a pointer on the main widgets widget stack
  *@param name widgets title
  *@param hobit the hobit object, needed for hbci functions
  */
  GuiStandingOrders(GuiMain* main, QWidgetStack *parent=0, const char *name=0, HoBIT* hobit = 0);

  /**
  *destructor of GuiStandingOrder
  */
  virtual ~GuiStandingOrders();

/** set hobit object*/
  void setHoBIT(HoBIT* hobit){
   _hobit = hobit;
  }

  /**
  *setting the list
  *@param list<Pointer<StandingOrder>> pointer on the StandingOrder
  */
  bool setList(list<Pointer<StandingOrder> > transactions);

  /**
  *updates the listview depending on the selected account 
  */
  virtual  void slotChangeAccount();

  /**
  *function for transmition to the hobit
  */
  void slotGet();

  /**
  *function for a refresh
  */
  void refresh();


private:
  QWidgetStack* _stack;
  HoBIT* _hobit;
  GuiMain* _main;
  QPtrList<StandingOrderItem> _StandingOrderList;


public slots:

  /**
  *slot for raising up the standing order widget in the widget stack 
  */
  void slotNewStandingOrder();

  /**
  *slot for deleting the standing order  
  */
  void slotDeleteStandingOrder();

  /**
  *executed when user performs a double click on a list item 
  *@param row number of the row
  *@param col number of the col
  *@param button button_id
  *@param mousePos the QPoint of the current mouse position
  */
  void slotSelectItem(int row, int col, int button, const QPoint & mousePos);



signals:
void showInformation(Pointer<StandingOrder> so);
  

};

#endif
